summaryrefslogtreecommitdiffstats
path: root/script/clean-source-tree.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:20:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:20:00 +0000
commit8daa83a594a2e98f39d764422bfbdbc62c9efd44 (patch)
tree4099e8021376c7d8c05bdf8503093d80e9c7bad0 /script/clean-source-tree.sh
parentInitial commit. (diff)
downloadsamba-8daa83a594a2e98f39d764422bfbdbc62c9efd44.tar.xz
samba-8daa83a594a2e98f39d764422bfbdbc62c9efd44.zip
Adding upstream version 2:4.20.0+dfsg.upstream/2%4.20.0+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'script/clean-source-tree.sh')
-rwxr-xr-xscript/clean-source-tree.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/script/clean-source-tree.sh b/script/clean-source-tree.sh
new file mode 100755
index 0000000..8d7f759
--- /dev/null
+++ b/script/clean-source-tree.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+
+N=$(git clean -n | wc -l)
+C=$(git diff --stat HEAD | wc -l)
+
+test x"$N" != x"0" && {
+ echo "The tree has $N new uncommitted files!!! see stderr"
+ echo "The tree has $N new uncommitted files!!!" >&2
+
+ echo "git clean -n" >&2
+ git clean -n >&2
+
+ test x"$C" != x"0" && {
+ echo "git diff -p --stat HEAD" >&2
+ git diff -p --stat HEAD >&2
+ }
+
+ exit 1
+}
+
+test x"$C" != x"0" && {
+ echo "The tree has uncommitted changes!!! see stderr"
+ echo "The tree has uncommitted changes!!!" >&2
+
+ echo "git diff -p --stat HEAD" >&2
+ git diff -p --stat HEAD >&2
+
+ exit 1
+}
+
+echo "clean tree"
+exit 0